1. Workspaces
OnlySocial
  • 🐶 OnlySocial API Walk through
  • Only Social
    • Accounts
      • List Accounts
      • Get an account
    • Media
      • List media files
      • Get a media file
      • Upload a media file
      • Delete a media file
      • Update a Media
    • Tags
      • List Tags
      • Get a tag
      • Create a tag
      • Delete a tag
      • Update a tag
    • Posts
      • List posts
      • Get a post
      • Create a post
      • Delete a post
      • Delete multiple post
      • Schedule a post
      • Add a post to Queue
      • Update a post
      • Approve a Post
    • Groups
      • Create a group
      • Update a group
      • Delete a Group
    • Users
      • List users
      • Create a user
      • Bulk delete users
      • Get user info
      • Update a user
      • Delete a user
    • Receipts
      • List receipts
      • Create a receipt
      • Bulk delete receipts
      • Update a receipt
      • Delete a receipt
    • Workspaces
      • List workspaces
        GET
      • Create a workspace
        POST
      • Bulk delete workspaces
        DELETE
      • Update a workspace
        PUT
      • Delete a workspace
        DELETE
    • WorkspaceUsers
      • Attach user to workspace
      • Update workspace user role/ownership
      • Detach user from workspace
    • WorkspaceSubscriptions
      • Create a workspace subscription
      • Update workspace subscription
      • Delete workspace subscription
      • Create a new workspace subscription (custom logic)
      • Change workspace subscription plan
      • Cancel workspace subscription
      • Resume paused workspace subscription
      • Add generic subscription to workspace
      • Remove generic subscription from workspace
  • Schemas
    • Sample Schemas
      • Pet
      • Category
      • Tag
    • UserStore
    • UserUpdate
    • ReceiptStore
    • ReceiptUpdate
    • WorkspaceStore
    • WorkspaceUpdate
    • WorkspaceUserAttach
    • WorkspaceUserUpdate
    • WorkspaceSubscriptionStore
    • WorkspaceSubscriptionUpdate
  1. Workspaces

Update a workspace

PUT
/panel/workspaces/{workspace}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Example
{
    "name": "Acme Europe",
    "hex_color": "#00aaee",
    "owner_id": 33,
    "access_status": "inactive"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://app.onlysocial.io/os/api/panel/workspaces/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "name": "Acme Europe",
    "hex_color": "#00aaee",
    "owner_id": 33,
    "access_status": "inactive"
}'

Responses

🟢200
Workspace updated
This response does not have a body.
Modified at 2026-06-14 08:07:00
Previous
Bulk delete workspaces
Next
Delete a workspace
Built with